Skip to main content
POST
/
tools
/
openapi
/
{tool_id}
/
execute
Execute OpenAPI Tool
curl --request POST \
  --url https://agent-prod.studio.lyzr.ai/v3/tools/openapi/{tool_id}/execute \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '{}'
import requests

url = "https://agent-prod.studio.lyzr.ai/v3/tools/openapi/{tool_id}/execute"

payload = {}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};

fetch('https://agent-prod.studio.lyzr.ai/v3/tools/openapi/{tool_id}/execute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{}

Endpoint

POST /v3/tools/openapi/{tool_id}/execute

Description

Executes a specific OpenAPI tool using the provided parameters.

Authentication

API Key (x-api-key) in the header.

Request Parameters

ParameterTypeDescription
tool_idStringThe ID of the tool to execute.
pathStringThe API path to call.
methodStringThe HTTP method to use (GET, POST, etc.).

Curl Request

curl -X POST "https://agent-prod.studio.lyzr.ai/v3/tools/openapi/{tool_id}/execute?path={path}&method={method}" ^
-H "accept: application/json" ^
-H "content-type: application/json" ^
-H "x-api-key: sk-default-REDACTED"

Response

Returns the result of the API tool execution.

Authorizations

x-api-key
string
header
required

Path Parameters

tool_id
string
required

The ID of the tool to execute.

Query Parameters

path
string
required

The API path to call.

method
enum<string>
required

The HTTP method to use (GET, POST, etc.).

Available options:
GET,
POST,
PUT,
DELETE,
PATCH,
OPTIONS,
HEAD

Body

application/json

Optional body content for the API call (depending on method)

The body is of type object.

Response

API tool executed successfully

The response is of type object.